## org.eclipse.uml2.uml.ecore.importer
Class UMLImporter

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter
          org.eclipse.emf.importer.ModelImporter
              org.eclipse.uml2.uml.ecore.importer.UMLImporter

    public class UMLImporter

extends org.eclipse.emf.importer.ModelImporter

Nested Class Summary
`static class` `UMLImporter.EPackageImportInfo`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ModelConverter
`org.eclipse.emf.converter.ModelConverter.EPackageConvertInfo, org.eclipse.emf.converter.ModelConverter.ReferencedEPackageFilter, org.eclipse.emf.converter.ModelConverter.ReferencedGenPackageConvertInfo`

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` `options`

Fields inherited from class org.eclipse.emf.importer.ModelImporter
`fileExtensions, GENANNOTATION_SOURCE_PREFIX, genModelContainerPath, genModelFileName, genModelPath, genModelProjectLocation, modelLocation, modelLocationURIs, modelPluginDirectory, modelPluginID, originalGenModel, originalGenModelPath, projectName, usePlatformURI, workspaceRoot`

Fields inherited from class org.eclipse.emf.converter.ModelConverter
`ePackages, ePackageToInfoMap, externalGenModelList, externalGenModelResourceSet, genModel, referencedEPackageFilter, referencedEPackageFilterToConvert, referencedGenPackages, referencedGenPackageToInfoMap`

Constructor Summary
`UMLImporter()`

Method Summary
`void` `adjustEPackage(org.eclipse.emf.common.util.Monitor monitor, org.eclipse.emf.ecore.EPackage ePackage)`
`protected void` `adjustGenModel(org.eclipse.emf.common.util.Monitor monitor)`
`protected void` `adjustGenPackageDuringTraverse(org.eclipse.emf.codegen.ecore.genmodel.GenPackage genPackage)`
`protected org.eclipse.emf.converter.ModelConverter.EPackageConvertInfo` `createEPackageInfo(org.eclipse.emf.ecore.EPackage ePackage)`
`org.eclipse.emf.ecore.resource.ResourceSet` `createResourceSet()`
`protected org.eclipse.emf.common.util.Diagnostic` `doComputeEPackages(org.eclipse.emf.common.util.Monitor monitor)`
`org.eclipse.emf.codegen.ecore.genmodel.GenModel` `getGenModel()`
`java.lang.String` `getID()`
`java.util.Map<java.lang.String,java.lang.String>` `getOptions()`
`protected void` `handleOriginalGenModel()`
`void` `prepareGenModelAndEPackages(org.eclipse.emf.common.util.Monitor monitor)`

Methods inherited from class org.eclipse.emf.importer.ModelImporter

`addGenModelToResource, addToResource, adjustEPackages, adjustUsedGenPackages, canConvert, checkEcoreModelFileName, checkGenModelFileName, computeDefaultGenModelFileName, computeEPackages, computeEPackagesBeingReloaded, computeGenModelContainerPath, computeModelProjectName, computeResourcesToBeSaved, createExternalGenModelResourceSet, createFileURI, createProject, defineOriginalGenModelPath, dispose, getConverterGenAnnotationSource, getEcoreSaveOptions, getEPackageImportInfo, getFileExtensions, getFirstModelLocationURI, getGenModelContainerPath, getGenModelDefaultFolderPath, getGenModelFileName, getGenModelPath, getGenModelProjectLocation, getGenModelResourceSet, getGenPackage, getModelLocation, getModelLocationURIs, getModelPluginDirectory, getModelPluginID, getModelProjectName, getOriginalGenModel, getOriginalGenModelPath, getWorkspaceRoot, loadOriginalGenModel, makeAbsolute, makeRelative, presetEPackagesToGenerate, saveGenModelAndEPackages, setGenModelContainerPath, setGenModelFileName, setGenModelProjectLocation, setModelFile, setModelLocation, setModelPluginDirectory, setModelPluginID, setModelProjectName, setUsePlatformURI, traverseGenPackages, usePlatformURI`

Methods inherited from class org.eclipse.emf.converter.ModelConverter

`clearEPackageConvertInfoCache, clearEPackagesCollections, clearReferenceGenPackageConvertInfoCache, computeEPackagesToConvert, computeValidReferencedGenPackages, createEPackagesList, createGenPackageConvertInfo, createReferencedEPackageFilter, createReferencedEPackageFilterToConvert, createReferencedGenPackagesList, filterReferencedEPackages, filterReferencedEPackagesToConvert, getEPackageConvertInfo, getEPackages, getEPackageToInfoMap, getExternalGenModels, getGenmodelSaveOptions, getGenModelSaveOptions, getReferencedGenPackages, getReferencedGenPackageToInfoMap, getReferenceGenPackageConvertInfo, getReferredEPackage, makeEPackageConvertDataUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### options

    protected final java.util.Map<java.lang.String,java.lang.String> options

Constructor Detail

### UMLImporter

    public UMLImporter()

Method Detail

### createEPackageInfo

    protected org.eclipse.emf.converter.ModelConverter.EPackageConvertInfo createEPackageInfo(org.eclipse.emf.ecore.EPackage ePackage)

  Overrides:
    `createEPackageInfo` in class `org.eclipse.emf.importer.ModelImporter`

### getOptions

    public java.util.Map<java.lang.String,java.lang.String> getOptions()

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in class `org.eclipse.emf.converter.ModelConverter`

### getGenModel

    public org.eclipse.emf.codegen.ecore.genmodel.GenModel getGenModel()

  Overrides:
    `getGenModel` in class `org.eclipse.emf.importer.ModelImporter`

### doComputeEPackages

    protected org.eclipse.emf.common.util.Diagnostic doComputeEPackages(org.eclipse.emf.common.util.Monitor monitor)
                                                                 throws java.lang.Exception

  Overrides:
    `doComputeEPackages` in class `org.eclipse.emf.importer.ModelImporter`
  Throws:
    `java.lang.Exception`

### adjustGenPackageDuringTraverse

    protected void adjustGenPackageDuringTraverse(org.eclipse.emf.codegen.ecore.genmodel.GenPackage genPackage)

  Overrides:
    `adjustGenPackageDuringTraverse` in class `org.eclipse.emf.importer.ModelImporter`

### adjustEPackage

    public void adjustEPackage(org.eclipse.emf.common.util.Monitor monitor,
                               org.eclipse.emf.ecore.EPackage ePackage)

  Overrides:
    `adjustEPackage` in class `org.eclipse.emf.importer.ModelImporter`

### adjustGenModel

    protected void adjustGenModel(org.eclipse.emf.common.util.Monitor monitor)

  Overrides:
    `adjustGenModel` in class `org.eclipse.emf.importer.ModelImporter`

### handleOriginalGenModel

    protected void handleOriginalGenModel()
                                   throws org.eclipse.emf.common.util.DiagnosticException

  Overrides:
    `handleOriginalGenModel` in class `org.eclipse.emf.importer.ModelImporter`
  Throws:
    `org.eclipse.emf.common.util.DiagnosticException`

### prepareGenModelAndEPackages

    public void prepareGenModelAndEPackages(org.eclipse.emf.common.util.Monitor monitor)

  Overrides:
    `prepareGenModelAndEPackages` in class `org.eclipse.emf.importer.ModelImporter`

### createResourceSet

    public org.eclipse.emf.ecore.resource.ResourceSet createResourceSet()

  Overrides:
    `createResourceSet` in class `org.eclipse.emf.converter.ModelConverter`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.